/*---------------------------------------------------------------------------*
  Project:  SoftKeyboard
  File:     kbd_util.h

  Copyright 2005 Nintendo.  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo of America Inc. and/or Nintendo
  Company Ltd., and are protected by Federal copyright law.  They may
  not be disclosed to third parties or copied or duplicated in any form,
  in whole or in part, without the prior written consent of Nintendo.

  $Log: kbd_util.h,v $
  Revision 1.2  2005/07/04 01:10:58  hatamoto_minoru
  Comment revisions

  Revision 1.1  2005/06/14 11:30:01  hatamoto_minoru
  Initial registration

  $NoKeywords: $
 *---------------------------------------------------------------------------*/

#ifndef KBD_UTIL_H_
#define KBD_UTIL_H_


#define KBD_ARRAY_SIZE(X) (sizeof(X)/(sizeof(X[0])))


// two-dimensional vector
typedef struct { s16 x, y;} KBDVec2S16;


#endif // KBD_UTIL_H_
